Fail Run
Record a runner-reported failure.
Path Parameters
run_id*string
Format
uuidHeader Parameters
x-workspace-id?|
Workspace UUID for session-authenticated calls.
Request Body
application/json
lease_id*string
Format
uuidagent_turns*integer
Range
0 <= value <= 50error_code*string
Match
^[a-z0-9_]+$Length
1 <= length <= 64error_message*string
Length
1 <= length <= 20000[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://loading/v1/optimization-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/fail" \ -H "Content-Type: application/json" \ -d '{ "lease_id": "2bb93227-93ec-4b58-a0aa-93b5a1121b74", "agent_turns": 50, "error_code": "string", "error_message": "string" }'{
"status": "preparing",
"agent_turns": 0,
"completed_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}